<template>
    <div class="wrapper">
        <nav-title :title="title" :icon="icon"></nav-title>
        <div class="md-layout">
            <div class="md-layout-item">
                <div class="md-layout mt-3 ">
                    <div class="md-layout-item md-xlarge-size-20 md-large-size-20 md-medium-size-90 md-small-size-95"></div>
                    <div class="md-layout-item md-xlarge-size-40 md-large-size-40 md-medium-size-90 md-small-size-95">
                        <md-card class="mt-2">
                            <md-card-area v-if="coleccion">
                                <md-card-header>
                                    <div class="md-display-1 text-primary">
                                        <b>{{ coleccion.label }}</b>
                                    </div>
                                    <div class="md-subhead mt-1">
                                        <div>
                                            <div>
                                                <md-avatar class="md-small">
                                                    <img :src="coleccion.user_info.image_path" alt="Autor" />
                                                </md-avatar>
                                            </div>
                                            <div>
                                                <div class="text-icon">
                                                    <p class="margin-text md-caption">
                                                        Compilada por
                                                        <b>{{ coleccion.user_info ? coleccion.user_info.username : '--' }}</b>
                                                    </p>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </md-card-header>

                                <md-card-content>
                                    <div class="md-gutter">
                                        <div>
                                            <p class="no-margin ">
                                                {{ coleccion.description }}
                                            </p>
                                        </div>
                                        <div class="text-align-right mt-1">
                                            <md-badge class="md-square color-badge" md-position="bottom" :md-content="resources.length">
                                                <md-button class="md-icon-button md-dense">
                                                    <md-icon class="text-primary">list</md-icon>
                                                </md-button>
                                            </md-badge>
                                        </div>
                                        <div>
                                            <p class="md-body-2 text-primary mb-0 ml-1-5">
                                                <b>RECURSOS</b>
                                            </p>
                                            <hr class="line" />
                                            <md-table class="md-table collection-detail-table" v-model="resources">
                                                <md-table-row slot="md-table-row" slot-scope="{ item }">
                                                    <md-table-cell class="table-cell-pl"
                                                        ><router-link style="color:#000;" :to="{ path: `/recursos/${item.id}` }">{{
                                                            item.title
                                                        }}</router-link></md-table-cell
                                                    >
                                                    <md-table-cell class="table-cell-pl">
                                                        <!-- <star-rating
                                                            inactive-color="#4A6274"
                                                            active-color="#59A8BA"
                                                            class="right"
                                                            :star-size="
                                                                starSize
                                                            "
                                                            v-model="
                                                                item.rating
                                                            "
                                                            :show-rating="
                                                                showRating
                                                            "
                                                            read-only
                                                        ></star-rating> -->
                                                    </md-table-cell>
                                                </md-table-row>
                                            </md-table>
                                        </div>
                                    </div>
                                </md-card-content>
                            </md-card-area>
                        </md-card>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>
<script>
import axios from 'axios';
import MenuColeccion from '../../components/Collection/MenuColeccion.vue';
import NavTitle from '../../../layout/NavTitle.vue';
export default {
    components: { MenuColeccion, NavTitle },
    name: 'collections-details',
    data() {
        return {
            title: 'Colecciones',
            icon: 'collections',
            coleccionId: 0,
            coleccion: undefined,
            loading: false,
            endPoint: '/api/getResourceByCollection',
            resources: {},
            showRating: false,
            starSize: 20,
            page: 1,
            numResults: 12,
            pageCount: 0
        };
    },
    computed: {
        user() {
            return this.$auth.watch.data;
        }
    },
    methods: {
        getResourceByIdcoleccion() {
            let uri = `${this.endPoint}/${this.coleccionId}?page=${this.page}&num_results=${this.numResults}`;
            axios
                .get(uri)
                .then((res) => {
                    if (res && res.data && res.data) {
                        this.coleccion = res.data.data;
                        this.resources = this.coleccion.resources;
                    }
                })
                .catch((error) => {
                    this.coleccion = null;
                    this.$root.ErrorMgs('Error al obtener el recursos de la colección');
                    console.log('Error getResourceByIdcoleccion' + error);
                });
        }
    },
    mounted() {
        this.coleccionId = this.$route?.params?.id;
        if (this.coleccionId) {
            this.getResourceByIdcoleccion();
        }
    }
};
</script>
<style scoped>
.margin-text {
    margin: 1px;
}
</style>
